# $Revision: 1.15 $, $Date: 2010/10/11 11:32:31 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Structures_DataGrid_DataSource_Array
%define		subver	dev1
%define		rel		1
Summary:	%{_pearname} - DataSource driver using arrays
Summary(pl.UTF-8):	%{_pearname} - sterownik DataSource dla tablic
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	0.%{subver}.%{rel}
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	3eafb3e6dc2dd9cc7f6707ee5d2a4d9a
URL:		http://pear.php.net/package/Structures_DataGrid_DataSource_Array/
BuildRequires:	php-pear-PEAR >= 1:1.4.9
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4.9
Requires:	php-pear-Structures_DataGrid >= 0.9.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a DataSource driver for Structures_DataGrid using arrays. It
is a base package for some other DataSource drivers like CSV or XML.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet dostarcza sterownik DataSource do tablic dla
Structures_DataGrid. Jest to klasa bazowa dla innych sterowników
DataSource, takich jak CSV czy XML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Structures/DataGrid/DataSource/Array.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Structures_DataGrid_DataSource_Array.spec,v $
Revision 1.15  2010/10/11 11:32:31  glen
- up to 0.2.0-dev1

Revision 1.14  2010/08/22 08:51:33  glen
- ensure rpmbuild macros present

Revision 1.13  2010/08/21 19:08:31  glen
- updated deps with pearize.sh
- release 2

Revision 1.12  2010/08/20 13:08:53  glen
- updated to: 0.1.4

Revision 1.11  2008/01/31 12:16:10  glen
- rel 2

Revision 1.10  2007-12-22 23:54:28  adamg
- updated to 0.1.3

Revision 1.9  2007-11-19 13:02:19  glen
- rel 2

Revision 1.8  2007-11-15 00:31:10  glen
- 1.1.2

Revision 1.7  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.5  2006/12/30 11:46:59  adamg
- updated to 0.1.1

Revision 1.4  2006/11/08 20:29:34  glen
- rel 2

Revision 1.3  2006/11/08 20:28:09  glen
- typo

Revision 1.2  2006/06/27 20:14:09  qboosh
- typo

Revision 1.1  2006/06/22 07:38:50  adamg
- new
